# validataclass Documentation

This is the index of the documentation.

## Chapters

1. [Introduction](01-introduction.md)
    - What's a Validator?
    - First examples

2. [Error Handling](02-error-handling.md)
    - What are validation errors?
    - How to handle validation errors
    - Example for a simple REST API

3. [Basic Validators](03-basic-validators.md)
    - Overview of built-in validator classes
    - Examples for most validators

4. [Lists and Dictionaries](04-lists-and-dicts.md)
    - Lists
    - Dictionaries
    - Nested validation errors

5. [Validation with Dataclasses](05-dataclasses.md)
    - What are dataclasses and how to use them for validation?
    - The `DataclassValidator`
    - The `@validataclass` decorator and `validataclass_field()`
    - Defining field defaults
    - Dataclass post-validation
    - Example with nested dataclasses

6. [Building new validators](06-build-your-own.md)
    - (To be written...)
